Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/luufs: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Thu, 12 Mar 2015 21:04:11 +0000 (GMT)

Lazy man's, user-mode union file system
http://rlsd.dimakrasner.com/
---
 testing/luufs/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/luufs/APKBUILD
diff --git a/testing/luufs/APKBUILD b/testing/luufs/APKBUILD
new file mode 100644
index 0000000..ae83f00
--- /dev/null
+++ b/testing/luufs/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=luufs
+pkgver=05012015
+pkgrel=0
+pkgdesc="Lazy man's, user-mode union file system"
+url="http://rlsd.dimakrasner.com/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="fuse-dev zlib-dev"
+install=""
+subpackages="$pkgname-doc"
+source="${pkgname}-${pkgver}.zip::http://dimkr.insomnia247.nl/sources/luufs/luufs-git05012015.zip"
+_builddir=${srcdir}/${pkgname}-master
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=$pkgdir install
+}
+
+md5sums="a78cc6eaa65892994e39336584631dd3  luufs-05012015.zip"
+sha256sums="719b4af200e55d97224b0427378f3a06829325355863a5201944482827930d30  luufs-05012015.zip"
+sha512sums="c93b59286f422aba32958b8ff147e9b1055fd145cabc5adcb6fefe9a4c9ad532e918734b34d84ef407440353f43278ef826c9ef400c1ee6d3082e30ea47e04bb  luufs-05012015.zip"
-- 
2.3.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Mar 12 2015 - 21:04:11 GMT